Building from source -- zlib/binascii problems 2.5.2/2.6.1

peter s. psftw1 at gmail.com
Mon Dec 15 06:25:07 CET 2008


On Dec 14, 5:20 pm, "Martin v. Löwis" <mar... at v.loewis.de> wrote:
> > So.. it seems as though I need to get it to point to the 64 bit
> > version (or compile the zlib that comes with Python source).  I'm not
> > sure how to override that.
>
> The easiest solution would be to invoke the linker line manually,
> and replace -lz with the absolute path to the right library.
>
> Regards,
> Martin

Thanks for you help thus far, though I am still stuck.  I have tried a
number of things with no success.  Modifying the actual command that
builds the zlibmodule to link to other sources produces different
errors, such as "build/lib.linux-x86_64-2.5/zlib.so: undefined symbol:
inflateEnd".  Will update this thread if I find a solution.



More information about the Python-list mailing list